Loading...
Searching...
No Matches
AVIAMFParamDefinition Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Parameter Definition

Parameters as defined in section 3.6.1 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
size_t | subblocks_offset
| Offset in bytes from the start of this struct, at which the subblocks array is located.
size_t | subblock_size
| Size in bytes of each element in the subblocks array.
unsigned int | nb_subblocks
| Number of subblocks in the array.
enum AVIAMFParamDefinitionType | type
| Parameters type.
unsigned int | parameter_id
| Identifier for the paremeter substream.
unsigned int | parameter_rate
| Sample rate for the paremeter substream.
unsigned int | duration
| The accumulated duration of all blocks in this parameter definition, in units of 1 / parameter_rate.
unsigned int | constant_subblock_duration
| The duration of every subblock in the case where all subblocks, with the optional exception of the last subblock, have equal durations.

## Detailed Description

Parameters as defined in section 3.6.1 of IAMF.

The struct is allocated by av_iamf_param_definition_alloc() along with an array of subblocks, its type depending on the value of type. This array is placed subblocks_offset bytes after the start of this struct.

Note
  This struct's size is not a part of the public ABI.

Definition at line 193 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFParamDefinition::av_class

Definition at line 194 of file iamf.h.

## subblocks_offset

size_t AVIAMFParamDefinition::subblocks_offset

Offset in bytes from the start of this struct, at which the subblocks array is located.

Definition at line 200 of file iamf.h.

Referenced by av_iamf_param_definition_get_subblock().

## subblock_size

size_t AVIAMFParamDefinition::subblock_size

Size in bytes of each element in the subblocks array.

Definition at line 204 of file iamf.h.

Referenced by av_iamf_param_definition_get_subblock().

## nb_subblocks

unsigned int AVIAMFParamDefinition::nb_subblocks

Number of subblocks in the array.

Definition at line 208 of file iamf.h.

## type

enum AVIAMFParamDefinitionType AVIAMFParamDefinition::type

Parameters type.

Determines the type of the subblock elements.

Definition at line 213 of file iamf.h.

## parameter_id

unsigned int AVIAMFParamDefinition::parameter_id

Identifier for the paremeter substream.

Definition at line 218 of file iamf.h.

## parameter_rate

unsigned int AVIAMFParamDefinition::parameter_rate

Sample rate for the paremeter substream.

It must not be 0.

Definition at line 222 of file iamf.h.

## duration

unsigned int AVIAMFParamDefinition::duration

The accumulated duration of all blocks in this parameter definition, in units of 1 / parameter_rate.

May be 0, in which case all duration values should be specified in another parameter definition referencing the same parameter_id.

Definition at line 231 of file iamf.h.

## constant_subblock_duration

unsigned int AVIAMFParamDefinition::constant_subblock_duration

The duration of every subblock in the case where all subblocks, with the optional exception of the last subblock, have equal durations.

Must be 0 if subblocks have different durations.

Definition at line 238 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h